Автор Тема: Проблема с установкой Mozilla Firefox и adobe flash player на Debian 64 Wheezy  (Прочитано 11167 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн CoolAller

Собственно задача в том, чтобы установить на Debian 64 Wheezy - Adobe Flash Player и Mozilla Firefox вместо Iceweasel. Последний был успешно снесен, дистрибутив Mozilla Firefox 23.0.1 был скачан с сайта разработчика.
Далее после распаковки tar.bz2 полученную папку "firefox" я поместил в /usr/share/ В каталоге /usr/bin создал символическую ссылку на исполняемый файл firefox для запуска из консоли: ln -s /usr/share/firefox/firefox /usr/bin/ После чего как написано в мануале через терминал я попытался запустить исполняемый файл: ./firefox , но не тут-то было в терминале мне вывелось следующее сообщение:
XPCOMGlueLoad error for file /usr/share/firefox/libxpcom.so:
libdbus-glib-1.so.2: cannot open shared object file: No such file or directory
Couldn't load XPCOM.
Из которого можно предположить, что не хватает libdbus-glib-1-2, но он оказался установленным и присутствовал в системе. Погуглив было найдено следующее решение, поскольку firefox до сих пор нет для 64 разрядных систем, он на самом деле использует 32-битные библиотеки, поэтому я установил:
Spoiler: ShowHide
sudo apt-get install ia32-libs
sudo apt-get install ia32-libs-gtk
sudo apt-get install ia32-libs-sdl

После этих манипуляций Firefox запустился. Теперь хотелось бы еще поставить adobe flash player. Скачал с оф.сайта 11 версию, распаковал и получил папку usr, файл libflashplayer.so и файл readme. В readme написано, что нужно скопировать папку "usr":  sudo cp -r usr/* /usr, затем в каталоге /usr/lib создал папку "firefox" (ее там не было), в ней создал вложенную папку "plugins" и поместил туда файл libflashplayer.so Открываю firefox и снова вижу Flash Player не установлен, в списке плагинов его нет. Ладно думаю установлю его из реп - добавил в source.lst:
Spoiler: ShowHide
deb http://ftp.ru.debian.org/debian/ wheezy main contrib non-free
Сделал apt-get update и установил flashplugin-nonfree, открываю Mozilla и опять вижу, что флеш плеер не установлен. ??? Ставлю снова Iceweasel - флеш плагин отображается установленным и работает. В 32-разрядном Debian Wheezy все ставится нормально. В общем хз че с этим делать....
« Последнее редактирование: 20 Августа 2013, 17:54:35 от CoolAller »
 

Оффлайн ferum

По идее так- Установка flashplugin-nonfree даёт нам /usr/lib/flashplugin-nonfree/libflashplayer.so сделать симлинк на /usr/lib/mozilla/plugins Там должен искать библиотеку фаерфокс. Хотя конечно ахз.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн CoolAller

ferum,
сделать симлинк
Делал так. Да и зачем делать симлинк, если я создавал папку firefox с вложенной в нее папкой plugins и помещал туда сам файл libflashplayer.so ?

Поскольку в 32-разрядном Debian Wheezy все ставится нормально похоже проблема именно в установке самой Mozilla Firefox в Debian 64, так как для того чтобы она запустилась я ставил 32-битные библиотеки...

PS. Интересно, а Debian 64 вообще кто-нить юзает или все до сих пор сидят на 32-х разрядном? Память-то лишней не бывает.
« Последнее редактирование: 18 Августа 2013, 20:24:07 от CoolAller »
 

Оффлайн ferum

Если посмотреть по форумам, проблема не нова. В 32 битных системах всегда прокатывало раскладывание по папкам библиотек с оф сайта а для 64 битных всегда пишут что надо ставить flashplugin-nonfree или для бунты flashplugin-installer. Видимо есть какая то фишка. Название каталогов критично. Если в debian подкаталог mozilla не надо обзывать его firefox....я так думаю.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн CoolAller

пишут что надо ставить flashplugin-nonfree
Дело не в этом, так как я ставил и все равно не работало.

Скачал мозиллу с ftp и о чудо )) заработало.

Spoiler: ShowHide
http://download.cdn.mozilla.net/pub/mozilla.org/firefox/releases/23.0.1/linux-x86_64/ru/
« Последнее редактирование: 18 Августа 2013, 21:36:26 от CoolAller »
 

Оффлайн DURMAN

Возникла проблема, не знаю как решить. Предыстория. Установил Debian x64 7.2.0 (Wheezy) и чтобы иметь возможность просматривать ролики, флэш и прочия блага человечества подредактировал source.list (добавил contrib и non-free), обновился и начал ставить flashplugin-nonfree и вот такой посыл получил на выходе:
Получено:1 http://ftp.ru.debian.org/debian/ wheezy/contrib flashplugin-nonfree amd64 1:3.2 [20,1 kB]
Получено 20,1 kБ за 0с (35,9 kБ/c)             
Выбор ранее не выбранного пакета flashplugin-nonfree.
(Чтение базы данных … на данный момент установлено 139504 файла и каталога.)
Распаковывается пакет flashplugin-nonfree (из файла …/flashplugin-nonfree_1%3a3.2_amd64.deb) …
Обрабатываются триггеры для man-db …
Обрабатываются триггеры для hicolor-icon-theme …
Обрабатываются триггеры для desktop-file-utils …
Обрабатываются триггеры для gnome-menus …
Настраивается пакет flashplugin-nonfree (1:3.2) …
failed to extract Flash Player version from http://get2.adobe.com/flashplayer/?promoid=KFHNI at get-upstream-version.pl line 78.
ERROR: failed to get upstream version
More information might be available at:
  http://wiki.debian.org/FlashPlayer
Сходил куда послали (http://wiki.debian.org/FlashPlayer) но ничего решающего эту проблему не нашёл. Погуглил и тоже ничего.... Теперь очередь за сообществом, выручайте други.
Как следствие пакет flashplugin-nonfree установлен, но видео как не показывало так и не показывает ни в iceweasel ни в Chromium.
P.S. сижу на stable ветке.
 

Оффлайн ogost

update-flashplugin-nonfree --install пробовали? мала вероятность что получится, но всё же.

Оффлайн Malaheenee

DURMAN, это сейчас чего-то намудрили на серверах adobe. Так что придется ждать либо пока скрипт обновят, либо установить флеш вручную, скачав его с сайта adobe.
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн DURMAN

update-flashplugin-nonfree --install
Да конечно, это и написано в посыле - http://wiki.debian.org/FlashPlayer

Сообщение объединено: 13 Ноября 2013, 09:30:10
это сейчас чего-то намудрили на серверах adobe. Так что придется ждать либо пока скрипт обновят, либо установить флеш вручную, скачав его с сайта adobe.
Грусть печаль... а давно они это намудрили? А то можно так и год прождать  ;D
Не хотелось бы засорять систему...


Сообщение объединено: 13 Ноября 2013, 10:15:51
В общем пока пошёл путём ручной установки. Скачал с сайта abobe (http://get.adobe.com/ru/flashplayer/?no_ab=1) тарбал tar.gz, распаковал и скопировал (для Iceweasel) плэйер в плагины:
cp libflashplayer.so /usr/lib/mozilla/plugins/И дело пошло  ;D
« Последнее редактирование: 13 Ноября 2013, 10:17:29 от DURMAN »
 

Оффлайн Malaheenee

давно они это намудрили
В субботу еще устанавливалось. А вчера - уже не захотело :)
Все мы где-то, когда-то и в чем-то были новичками.
 


Оффлайн Malaheenee

max1983, если что, то топикстартер так и устанавливал.
[ot]Или это реклама очередного блога?[/ot]
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн max1983

  • Новичок форума
  • Сообщений: 5
max1983, если что, то топикстартер так и устанавливал.
[ot]Или это реклама очередного блога?[/ot]
Ставил работает..
 

Теги:
     

    Проблема с рабочим столом

    Автор gdskaa

    Ответов: 4
    Просмотров: 774
    Последний ответ 04 Марта 2021, 13:50:02
    от gdskaa
    Проблема с тачпадом

    Автор kroko

    Ответов: 3
    Просмотров: 1344
    Последний ответ 23 Февраля 2014, 11:23:15
    от qupl
    Установка testing — проблема с видео

    Автор dimarikue

    Ответов: 7
    Просмотров: 2043
    Последний ответ 20 Августа 2012, 16:06:12
    от kobzar
    Проблема с xdg-open и Qt

    Автор Otaku_sandwich

    Ответов: 1
    Просмотров: 1165
    Последний ответ 28 Февраля 2016, 23:40:38
    от alsoijw
    [РЕШЕНО] Проблема после перехода с Gnome на Xfce

    Автор Упрямый

    Ответов: 4
    Просмотров: 6635
    Последний ответ 22 Сентября 2014, 11:21:10
    от Malaheenee